| Home | Libraries | People | FAQ | More

###### ssl_stream::set_verify_mode (1 of 2 overloads)

Set the peer verification mode.

###### Synopsis

    void
    set_verify_mode(
        net::ssl::verify_mode v);

###### Description

This function may be used to configure the peer verification mode used by the stream. The new mode will override the mode inherited from the context.

###### Parameters

Name | Description
--- | ---
`v` | A bitmask of peer verification modes.

###### Exceptions

Type | Thrown On
--- | ---
`boost::system::system_error` | Thrown on failure.

###### Remarks

Calls `SSL_set_verify`.